slice {dplyr} | R Documentation

## Select rows by position.

### Description

Slice does not work with relational databases because they have no intrinsic notion of row order. If you want to perform the equivalent operation, use `filter()` and `row_number()`.

### Usage

    slice(.data, ...)

    slice_(.data, ..., .dots)

### Arguments

`.data` | A tbl. All main verbs are S3 generics and provide methods for `tbl_df`, `tbl_dt` and `tbl_sql`.
`...` | Integer row values
`.dots` | Used to work around non-standard evaluation. See `vignette("nse")` for details.

### See Also

Other single.table.verbs: `arrange`, `arrange_`; `filter`, `filter_`; `mutate`, `mutate_`, `transmute`, `transmute_`; `rename`, `rename_`, `select`, `select_`; `summarise`, `summarise_`, `summarize`, `summarize_`

### Examples

    slice(mtcars, 1L)
    slice(mtcars, n())
    slice(mtcars, 5:n())

    by_cyl <- group_by(mtcars, cyl)
    slice(by_cyl, 1:2)

    # Equivalent code using filter that will also work with databases,
    # but won't be as fast for in-memory data. For many databases, you'll
    # need to supply an explicit variable to use to compute the row number.
    filter(mtcars, row_number() == 1L)
    filter(mtcars, row_number() == n())
    filter(mtcars, between(row_number(), 5, n()))

[Package dplyr version 0.4.3 Index]